Subject: Re: bug#41006: 26.3; regular expressions documentation

From: jan <[email-masked]>
Date: Sun, 3 May 2020 15:00:43 +0100

> Currently it's arranged by syntax, which is the implementor's view, rather than by function, which is the user's.

Nicely put.

> The manual does say
>
> ‘\{M,N\}’
>      [...] If M is omitted, the minimum is 0; if N is omitted, there is no
> maximum.

I did install 26.3 to make sure, and I've checked again and I
genuinely can't see that, but if it does, sorted, thanks.

The \= I'm sure is great, I just don't know where it might be useful.
Some examples might be of help however the manual isn't the place for
them.
The value of other anchors is obvious, I've used them all IIRC.

Thank you all.

jan

On 03/05/2020, Mattias Engdegård <[email-masked]> wrote:
> The disposition of the regexp documentation could be improved, yes.
> Currently it's arranged by syntax, which is the implementor's view, rather
> than by function, which is the user's. Condensing related text into a single
> page would help. (Cf. the more recently written section on rx in Emacs 27.)
>
> The manual does say
>
> ‘\{M,N\}’
>      [...] If M is omitted, the minimum is 0; if N is omitted, there is no
> maximum.
>
> so you may be mistaken on that point.
>
> The \= anchor is probably less frequently used than the other zero-width
> assertions such as $, \< etc but does come in handy occasionally. It's there
> in case you need it.
>
>